objectDiffConfiguration:
  com-armedia-acm-plugins-person-model-Person:
    className: com.armedia.acm.plugins.person.model.Person
    name: person
    displayExpression: givenName + ' ' + familyName
    id:
      - id
    includeFields:
      - title
      - company
      - status
      - givenName
      - middleName
      - familyName
      - hairColor
      - eyeColor
      - heightInInches
      - weightInPounds
      - dateOfBirth
      - placeOfBirth
      - dateMarried
      - details
      - restricted
      - addresses
      - participants
      - defaultPhone
      - defaultEmail
      - defaultAddress
      - defaultUrl
      - defaultAlias
      - defaultIdentification
      - defaultPicture
      - personAliases
      - identifications
      - securityTags
      - contactMethods
  com-armedia-acm-plugins-addressable-model-PostalAddress:
    className: com.armedia.acm.plugins.addressable.model.PostalAddress
    name: address
    displayExpression: 'country + '', '' + state'
    id:
      - id
    includeFields:
      - status
      - type
      - streetAddress
      - streetAddress2
      - city
      - state
      - zip
      - country
  com-armedia-acm-plugins-person-model-Identification:
    className: com.armedia.acm.plugins.person.model.Identification
    name: identification
    displayExpression: identification + ' ' + identificationType
    id:
      - identificationID
    includeFields:
      - identificationNumber
      - identificationIssuer
      - identificationType
      - identificationYearIssued
  com-armedia-acm-plugins-addressable-model-ContactMethod:
    className: com.armedia.acm.plugins.addressable.model.ContactMethod
    name: contactMethod
    displayExpression: value + ' ' + subType
    id:
      - id
    includeFields:
      - value
      - type
      - subType
      - description
  com-armedia-acm-plugins-person-model-PersonAlias:
    className: com.armedia.acm.plugins.person.model.PersonAlias
    name: alias
    displayExpression: aliasValue + ' ' + aliasType
    id:
      - id
    includeFields:
      - aliasType
      - aliasValue
      - description
  com-armedia-acm-plugins-person-model-Organization:
    className: com.armedia.acm.plugins.person.model.Organization
    name: organization
    displayExpression: organizationType + ' ' + organizationValue
    id:
      - organizationId
    includeFields:
      - company
      - status
      - details
      - restricted
      - addresses
      - participants
      - defaultPhone
      - defaultEmail
      - defaultAddress
      - defaultUrl
      - defaultFax
      - defaultIdentification
      - identifications
      - contactMethods
